#include <iostream>
using namespace std;

void neg(int &num);
void neg(int *num);

void neg(int &num){
	num = -num;
}

void neg(int *num){
	*num = -*num;
}
int main()
{
	int num = 20;
	neg(num);
	cout << num << ' ';
	neg(&num);
	cout << num << ' ';
	
	return 0;
}	